felix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Felix Meschberger (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (FELIX-3765) CLONE - Commons IO dependency issue (webconsole packageadmin plugin)
Date Mon, 19 Nov 2012 10:30:58 GMT

    [ https://issues.apache.org/jira/browse/FELIX-3765?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13500130#comment-13500130
] 

Felix Meschberger commented on FELIX-3765:
------------------------------------------

I think, we should depend on an 1.x version of commons-io in the plugin. This works for your
Commons IO 1.4 deployment.

For Commons IO 2 deployments, updating to the latest Commons IO library solves the issue,
because this exports the packages at both an 1.x and a 2.y version.
                
> CLONE - Commons IO dependency issue (webconsole packageadmin plugin)
> --------------------------------------------------------------------
>
>                 Key: FELIX-3765
>                 URL: https://issues.apache.org/jira/browse/FELIX-3765
>             Project: Felix
>          Issue Type: Bug
>          Components: Web Console
>    Affects Versions: webconsole-packageadmin-plugin 1.0.0
>            Reporter: Ivan Dubrov
>            Priority: Minor
>         Attachments: 3765-commons-io-webconsole-packageadmin.patch
>
>
> Same as FELIX-3570, but for webconsole-packageadmin-plugin.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message